import E2EPage from './E2EPage'

export default e2eClick

export async function e2eClick(_p: E2EPage, selector: string): Promise<void> {
	// Wait for selector
	await _p.waitForSelector(selector)

	// Get the HTMLElement
	const ele = await _p.$(selector)

	// Click it
	await ele.click()
}
