import { render } from '@testing-library/react'
import ThemeProvider from '@thatweb/core-mui/providers/ThemeProvider'
import theme from '@thatweb/core-mui/theme'
import React from 'react'

export default renderWithTheme

const wrapper = ({ children }) => {
	return <ThemeProvider theme={theme}>{children}</ThemeProvider>
}

export function renderWithTheme(ui, options = {}) {
	return render(ui, { wrapper, ...options })
}
