"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentTest = void 0;
const makeJestTest_1 = __importDefault(require("@thats/testing/_/makeJestTest"));
const TestMode_1 = __importDefault(require("@thats/testing/_/TestMode"));
function componentTest(title, fnc, options = {}) {
    return (0, makeJestTest_1.default)(title, fnc, Object.assign(Object.assign({}, options), { allowedModes: [TestMode_1.default.COMPONENT, TestMode_1.default.CI, TestMode_1.default.ALL] }));
}
exports.componentTest = componentTest;
exports.default = componentTest;
//# sourceMappingURL=componentTest.js.map