import makeTestTest from '@thats/testing/_/makeJestTest'
import TestMode from '@thats/testing/_/TestMode'
import TestOptions from '@thats/testing/_/TestOptions'

export function e2eTest(title: string, fnc: () => Promise<any>, options: TestOptions = {}) {
	return makeTestTest(title, fnc, {
		...options,
		timeout: 20000,
		allowedModes: [TestMode.E2E, TestMode.ALL],
	})
}
export default e2eTest
