import E2EPage from './E2EPage'
import { E2ETestConfigEnvVars } from './E2ETestConfigEnvVars'

export const e2eGoTo = async function (page: E2EPage, uri: string = '', timeout = 10000) {
	const appUrl = process.env[E2ETestConfigEnvVars.WEB_TEST_APP_URL]
	// return processThenWait(async () => {
	await page.goto(`${appUrl}${processUrl(page, uri)}`)
	// }, 400)
}
export default e2eGoTo

function processUrl(page: E2EPage, url: string) {
	if (url.startsWith('*')) {
		return url.split('*')[1]
	} else {
		return url
	}
}
