import E2EPage from './E2EPage'

export default e2eInnerHtml

export async function e2eInnerHtml(_p: E2EPage, selector: string): Promise<string> {
	// Wait for selector
	await _p.waitForSelector(selector)

	// Get the HTMLElement
	return await _p.$eval(selector, el => el.innerHTML)
}
