"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eTeardown = void 0;
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
exports.default = e2eTeardown;
const DIR = path_1.default.join(os_1.default.tmpdir(), 'jest_puppeteer_global_setup');
function e2eTeardown() {
    return __awaiter(this, void 0, void 0, function* () {
        yield globalThis.__browser.close();
        yield fs_1.default.rmSync(DIR, { recursive: true, force: true });
    });
}
exports.e2eTeardown = e2eTeardown;
//# sourceMappingURL=e2eTeardown.js.map