"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eType = void 0;
exports.default = e2eType;
function e2eType(_p, selector, value) {
    return __awaiter(this, void 0, void 0, function* () {
        const _key = _p.keyboard;
        yield _p.waitForSelector(selector);
        yield _p.focus(selector);
        yield _key.down('Control');
        yield _key.press('A');
        yield _key.up('Control');
        yield _key.press('Backspace');
        yield _key.type(value);
    });
}
exports.e2eType = e2eType;
//# sourceMappingURL=e2eType.js.map