import E2EPage from './E2EPage'

export default e2eType

export async function e2eType(_p: E2EPage, selector: string, value: string): Promise<void> {
	const _key = _p.keyboard

	await _p.waitForSelector(selector)
	await _p.focus(selector)
	await _key.down('Control')
	await _key.press('A')
	await _key.up('Control')
	await _key.press('Backspace')

	await _key.type(value)
}
