"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderWithThemeAndRouter = void 0;
const react_1 = require("@testing-library/react");
const ThemeProvider_1 = __importDefault(require("@thatweb/core-mui/providers/ThemeProvider"));
const theme_1 = __importDefault(require("@thatweb/core-mui/theme"));
const react_2 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
exports.default = renderWithThemeAndRouter;
const wrapper = ({ children }) => {
    return (react_2.default.createElement(react_router_dom_1.HashRouter, null,
        react_2.default.createElement(react_router_dom_1.Route, { path: "/", Component: () => react_2.default.createElement(ThemeProvider_1.default, { theme: theme_1.default }, children) })));
};
function renderWithThemeAndRouter(ui, options = {}) {
    return (0, react_1.render)(ui, Object.assign({ wrapper }, options));
}
exports.renderWithThemeAndRouter = renderWithThemeAndRouter;
//# sourceMappingURL=renderWithThemeAndRouter.js.map