import makeTestTest from '@thats/testing/_/makeJestTest'
import TestMode from '@thats/testing/_/TestMode'
import TestOptions from '@thats/testing/_/TestOptions'

export function componentTest(title: string, fnc: () => Promise<any>, options: TestOptions = {}) {
	return makeTestTest(title, fnc, {
		...options,
		allowedModes: [TestMode.COMPONENT, TestMode.CI, TestMode.ALL],
	})
}
export default componentTest
