"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eTest = void 0;
const makeJestTest_1 = __importDefault(require("@thats/testing/_/makeJestTest"));
const TestMode_1 = __importDefault(require("@thats/testing/_/TestMode"));
function e2eTest(title, fnc, options = {}) {
    return (0, makeJestTest_1.default)(title, fnc, Object.assign(Object.assign({}, options), { timeout: 20000, allowedModes: [TestMode_1.default.E2E, TestMode_1.default.ALL] }));
}
exports.e2eTest = e2eTest;
exports.default = e2eTest;
//# sourceMappingURL=e2eTest.js.map